Bug 31333 - Standardise Touchpad toggling keys
Summary: Standardise Touchpad toggling keys
Alias: None
Product: xkeyboard-config
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: xkb
QA Contact:
Depends on: 31300
  Show dependency treegraph
Reported: 2010-11-02 11:32 UTC by Bastien Nocera
Modified: 2010-11-17 20:45 UTC (History)
0 users

See Also:
i915 platform:
i915 features:

Clean up touchpad key definitions (971 bytes, patch)
2010-11-02 11:33 UTC, Bastien Nocera
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Bastien Nocera 2010-11-02 11:32:54 UTC
Currently F22 is used for XF86TouchpadToggle.

But udev uses F21, F22, or F23 for those keys, at random, even though some of the keys are:
- events telling user-space that the key was pressed, and the new state of the pad (which user-space shouldn't try to handle itself). Those devices handle the work in hardware, but user-space should show a popup.
- an event saying the key was pressed, and that user-space should disable it in software.
Comment 1 Bastien Nocera 2010-11-02 11:33:11 UTC
Created attachment 39990 [details] [review]
Clean up touchpad key definitions
Comment 2 Sergey V. Udaltsov 2010-11-12 16:26:29 UTC
Grand! Thanks, committed.
Comment 3 Bastien Nocera 2010-11-13 05:47:44 UTC
Except that bug 31300 wasn't fixed, so your keymaps are now broken.
Comment 4 Bastien Nocera 2010-11-17 20:45:29 UTC
The blocker is fixed now, so all done.

Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.